package cn.estsh.i3plus.core.api.iservice.base;

import cn.estsh.i3plus.pojo.base.shirotoken.UserToken;
import cn.estsh.i3plus.pojo.model.flatform.UserModel;
import cn.estsh.i3plus.pojo.platform.bean.SessionUser;
import cn.estsh.i3plus.pojo.platform.bean.SysUser;

import java.util.List;

/**
 * @Description : 用户服务
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-25 16:21
 * @Modify :
 **/
public interface ISysUserService {

    /**
     * 用户登录
     * @param loginName     登录名
     * @param password      登录密码
     * @param languageCode  界面语言
     * @return
     */
    SessionUser queryUserLogin(String loginName, String password, String languageCode);

    /**
     * 修改权限状态
     * @param id        修改权限状态
     * @param status    状态
     * @param user      当前会话用户
     * @return
     */
    void updateSysUserStatus(String id, int status, SessionUser user);

    /**
     * 修改用户信息
     * @param model     封装的用户对象
     * @param user      当前会话用户
     */
    SysUser updateSysUserModel(UserModel model, SessionUser user);

    /**
     * 新建用户信息
     * @param model  用户封装对象
     * @param user   当前会话用户
     */
    SysUser insertSysUserModel(UserModel model,SessionUser user);

    /**
     * 根据Key 删除数据
     * @param id
     * @return
     */
    void deleteSysUserById(String id);

    /**
     * 查询所有数据
     * @return
     */
    List<SysUser> findSysUserAll();

    /**
     * 根据id 数据
     * @param id
     * @return
     */
    SysUser getSysUserById(String id);

    /**
     * 根据登录名称 获取用户信息
     * @param loginName
     * @return
     */
    SysUser getSysUserByLoginName(String loginName);

    /**
     * 封装用户详细信息
     * @param user
     * @return
     */
    SysUser getSysUserInfo(SysUser user);

}
