package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysMessageService;
import cn.estsh.i3plus.pojo.platform.bean.SysMessage;
import cn.estsh.i3plus.pojo.platform.repository.SysMessageRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 消息服务接口实现
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 18:02
 * @Modify :
 **/
@Service
public class SysMessageServiceImpl implements ISysMessageService {
    public static final Logger LOGGER = LoggerFactory.getLogger(SysMessageServiceImpl.class);

    @Autowired
    public SysMessageRepository sysMessageRDao;

    @Override
    public void insertSysMessage(SysMessage sysMessage) {
        LOGGER.info("系统信息 SYS_MESSAGE :{}",sysMessage);
        sysMessageRDao.insert(sysMessage);
    }

    @Override
    public void deleteSysMessageById(String id) {
        LOGGER.info("系统信息 SYS_MESSAGE id:{}",id);
        sysMessageRDao.deleteById(Long.parseLong(id));

    }

    @Override
    public void updateSysMessage(SysMessage sysMessage) {
        LOGGER.info("系统信息 SYS_MESSAGE :{}",sysMessage);
        sysMessageRDao.update(sysMessage);
    }

    @Override
    public List<SysMessage> findSysMessageAll() {
        LOGGER.info("系统信息 SYS_MESSAGE find-all");
        return sysMessageRDao.findAll();
    }

    @Override
    public SysMessage getSysMessageById(String id) {
        LOGGER.info("系统信息 SYS_MESSAGE id:{}",id);
        return sysMessageRDao.getById(Long.parseLong(id));
    }
}
